<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function() {
		var tn = 'caisse';

		/* data for selected record, or defaults if none is selected */
		var data = {
			link_recettes: <?php echo json_encode(array('id' => $rdata['link_recettes'], 'value' => $rdata['link_recettes'], 'text' => $jdata['link_recettes'])); ?>,
			link_depenses: <?php echo json_encode(array('id' => $rdata['link_depenses'], 'value' => $rdata['link_depenses'], 'text' => $jdata['link_depenses'])); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for link_recettes */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'link_recettes' && d.id == data.link_recettes.id)
				return { results: [ data.link_recettes ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for link_depenses */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'link_depenses' && d.id == data.link_depenses.id)
				return { results: [ data.link_depenses ], more: false, elapsed: 0.01 };
			return false;
		});

		cache.start();
	});
</script>

